IXP_NAMESPACE(3)

NAME

ixp_namespace

SYNOPSIS
  #include <ixp.h>

  char *ixp_namespace(void);

DESCRIPTION

Returns the path of the canonical 9p namespace directory. Either the value of $NAMESPACE, if it's set, or, roughly, /tmp/ns.${USER}.${DISPLAY:%.0=%}. In the latter case, the directory is created if it doesn't exist, and it is ensured to be owned by the current user, with no group or other permissions.

RETURN VALUE

A statically allocated string which must not be freed or altered by the caller. The same value is returned upon successive calls.

BUGS

This function is not thread safe until after its first call.